// 系统公共
if(broswer.isMobile()==true && broswer.iPad == false ){
	window.top.location.href = "../Wap/Wap.Login.asp"; //自动跳转到手机版	
}

setTimeout("location.href='Login.asp'",360000);

window.onbeforeunload = function()
{
	if (document.body.offsetWidth-50 < event.clientX && event.clientY<0)
	{
		return "是否关闭当前窗口？关闭本窗口前请保存数据！";
	}
}

//检测登录输入项
function CheckLogin(){
	if ($("#UserName").val()=="")
	{
		artDialog.alert('对不起，用户名称不能为空！');
		$("#UserName").focus();
		return false;
	}
	if ($("#UserPass").val()=="")
	{
		artDialog.alert("对不起,用户密码不能为空！");
		$("#UserPass").focus();
		return false;
	}
	if ($("#UserCode").val()=="")
	{
		artDialog.alert("对不起,验证编码不能为空！");
		$("#UserCode").focus();
		return false;
	}
	return true;	
}

//用户注册窗口
function Reg() 
{
    $.dialog.open('QC.Reg.asp', {
        id: 'Reg',
        title: '职员注册',
        width: '800px',
        height: '250px',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//检测注册输入项
function CheckReg(){
	if ($("#QC_UsersName").val()=="")
	{
		artDialog.alert("对不起, 用户名称不能为空！");
		$("#QC_UsersName").focus();
		return false;
	}
	if ($("#QC_UsersPass").val()=="")
	{
		artDialog.alert("对不起,用户密码不能为空！");
		$("#QC_UsersPass").focus();
		return false;
	}
	if ($("#QC_UsersRealName").val()=="")
	{
		artDialog.alert("对不起,职员姓名不能为空！");
		$("#QC_UsersRealName").focus();
		return false;
	}
	if ($("#QC_UsersNo").val()=="")
	{
		artDialog.alert("对不起,职员编号不能为空！");
		$("#QC_UsersNo").focus();
		return false;
	}
	if ($("#QC_UsersDept").val()=="")
	{
		artDialog.alert("对不起,所在部门不能为空！");
		$("#QC_UsersDept").focus();
		return false;
	}
	if ($("#QC_UsersMobile").val()=="")
	{
		artDialog.alert("对不起,手机不能为空！");
		$("#QC_UsersMobile").focus();
		return false;
	}	
	
	return true;	
}

//找回密码窗口
function GetPass() 
{
    $.dialog.open('QC.GetPass.asp', {
        id: 'GetPass',
        title: '找回密码',
        width: '1000px',
        height: '200px',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//找回密码验证
function CheckGetPass(){
	if ($("#QC_UsersName").val()=="")
	{
		artDialog.alert("对不起, 用户名称不能为空！");
		$("#QC_UsersName").focus();
		return false;
	}
	if ($("#QC_UsersRealName").val()=="")
	{
		artDialog.alert("对不起,职员姓名不能为空！");
		$("#QC_UsersRealName").focus();
		return false;
	}
	if ($("#QC_UsersNo").val()=="")
	{
		artDialog.alert("对不起,职员编号不能为空！");
		$("#QC_UsersNo").focus();
		return false;
	}
	if ($("#QC_UsersMobile").val()=="")
	{
		artDialog.alert("对不起,手机不能为空！");
		$("#QC_UsersMobile").focus();
		return false;
	}	
	
	return true;	
}

//列表界面窗口
function ListBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'ListBoxDlg',
        title: '列表信息',
        width: '1000px',
        height: '500px',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}

//详细界面窗口
function RedBoxDlg(url)
{
    $.dialog.open(url, {
        id: 'RedBoxDlg',
        title: '查看信息',
        width: '1000px',
        height: '500px',
        lock: true,
        max: false,
        min: false,
        padding: 0
    },
    false);
}
